Video Screencast Help
Protect Your POS Environment Against Retail Data Breaches. Learn More.

Fail Oracle backup

Created: 07 Feb 2013 | 5 comments
ElGringo's picture

Hello,

 

 

I am trying to backup Oracle 10gR2 using NetBackup Agent runing on Solaris 10 SPARC. I am runing NBU 6.5.5. I installed the latest EEB available.

Here is the error message of bpubsora

putenv(ORACLE_HOME=/oracle/IRE/11202)

16:22:57 INF - ERR - /oracle/IRE/11202/lib/libclntsh.so not loaded: ld.so.1: bpubsora: fatal: /oracle/IRE/11202/lib/libclntsh.so: wrong

ELF class: ELFCLASS64

16:22:57 ERR - Unable to connect to ORABOBIRE.

16:22:57 INF - : enter - InitFlags:0x00000001

 

Any idea ?

 

Comments 5 CommentsJump to latest comment

Marianne's picture

I am runing NBU 6.5.5.

PLEASE UPGRADE!!!!! 

NBU 6.x reached EOSL in Oct 2012.

Please upgrade master, media server and Oracle client.
Latest and recommended NBU version is 7.5.0.4.

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

ElGringo's picture

Hello Marianne,

Yes, I already tell the customer that upgrading his NBU environment is critical since NBU6.5 has reached is EOS few months ago...
But, right now, he can't do this. He is planing the upgrade ASAP.

Nagalla's picture

hi,

 

please check the below tech note

http://www.symantec.com/business/support/index?pag...

 

 

Solution

This problem is resolved in NetBackup 7.x.

Sites that are unable to upgrade can bypass the problem by replacing the 32-bit library in $ORACLE_HOME/lib32 with a symbolic link to the 64-bit library file located in $ORACLE_HOME/lib.  E.g.

$ cd /u03/app/oracle/product/11.1/db_1/lib32 

$ mv libclntsh.so libclntsh.so.save 
$ ln -s /u03/app/oracle/product/11.1/db_1/lib/libclntsh.so.11.1 libclntsh.so

 

hope this helps.

 

 

Yasuhisa Ishikawa's picture

By messages in OP, it seems like 32-bit bpubsora in NetBackup 6.5 tried to load 64-bit libclntsh.so. This is opposite from TECH185649 which Nagalla pointed.

Does /oracle/IRE/11202/lib32/libclntsh.so exist?

Authorized Symantec Consultant(ASC) Data Protection in Tokyo, Japan

ElGringo's picture

Hello,

 

After some researches, it seems that libclntsh.so 32bit is shipped with the 32 bit oracle client. So, installing the 32 bits Oracle client should solve the issue.

Anyway, the customer decided to postponed the project. So, I'll be able to upgrade NBU environnement (Master, media AND Client) to NBU7. In that manner I should avoid this issue.